import dotenv from 'dotenv';
dotenv.config();

// .graphqlrc.ts or graphql.config.ts
export default {
  projects: {
    directus: {
      schema: process.env.GRAPHQL_ENDPOINT_WITH_TOKEN,
      documents: ['src/**/*.{graphql,js,ts,jsx,tsx}'],
      extensions: {
        endpoints: {
          default: {
            url: process.env.GRAPHQL_ENDPOINT,
            headers: {
              Authorization: `Bearer ${process.env.API_TOKEN}`,
            },
          },
        },
      },
    },
  },
};